using System;

namespace Intrepid.Core.Themes
{
    [Serializable]
    public class SpacemanTheme : AbstractThemeRelated
    {
        public SpacemanTheme(Palettes palettes) : base(palettes)
        {
        }

        public UIGaugeTheme O2Gauge => new(Palettes, Palettes.O2GaugeColor, Palettes.CounterFillingColor);
        public UIGaugeTheme EnergyGauge => new(Palettes, Palettes.EnergyGaugeColor, Palettes.CounterFillingColor);
        public UIPowerDemandedTheme PowerDemanded => new(Palettes);
    }
}